class UserProgressForWeekDataModel {
  int? dayNumber;
  dynamic dayDate;
  String? dayName;
  int? percentageConsumed;

  UserProgressForWeekDataModel(
      {this.dayNumber, this.dayDate, this.dayName, this.percentageConsumed});

  UserProgressForWeekDataModel.fromJson(Map<String, dynamic> json) {
    dayNumber = json['DayNumber'];
    dayDate = json['DayDate'];
    dayName = json['DayName'];
    percentageConsumed = json['PercentageConsumed'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['DayNumber'] = this.dayNumber;
    data['DayDate'] = this.dayDate;
    data['DayName'] = this.dayName;
    data['PercentageConsumed'] = this.percentageConsumed;
    return data;
  }
}
